# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [1.3.11] - 2021-06-21
### CHANGED
- Update gems
- Allow version >= 2.5
- Pipeline using ruby:2.7.3
- Allow local tests with docker

## [1.3.10] - 2021-01-20
### CHANGED
- Update gems
- Update gemspec
- Update pipeline
- Simplify some tests

## [1.3.9] - 2021-01-15
### FIXED
- Fixed service_name custom option.

## [1.3.8] - 2020-12-10
### FIXED
- Fixed LogStash configs

## [1.3.7] - 2020-12-08
### Added
- Configure log output stdout to development and test environment

## [1.3.6] - 2020-12-08
### FIXED
- Added buffer_max_items and buffer_max_interval into LogStash config

## [1.3.5] - 2020-12-04
### FIXED
- Convert buffer_max_items and buffer_max_interval values to integer

## [1.3.4] - 2020-12-03
### Added
- Add settings to buffer_max_items and buffer_max_interval

## [1.3.3] - 2020-11-25
### Added
- Parametrize logstash protocol
- Refactor request logs

## [1.3.2] - 2020-02-19
### Fixed
- Fixed log simple sending to logstash

## [1.3.1] - 2019-07-30
### Fixed
- Missed log format on posting to logstash

## [1.3.0] - 2019-07-30
### Added
- Add feature to send log to logstash at stanging and production environment

## [1.2.0] - 2019-07-24
### Added
- Add feature to change log level of your application at running time

## [1.1.0] - 2019-05-30
### Changed
- Changed header correlation_id to activityID as requested by architecture team
